Bug 629374 - smbd changing mode of files on rename
Summary: smbd changing mode of files on rename
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: samba   
(Show other bugs)
Version: 6.0
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Guenther Deschner
QA Contact: Ales Zelinka
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: 661311
TreeView+ depends on / blocked
 
Reported: 2010-09-01 19:44 UTC by Jeff Layton
Modified: 2014-09-29 12:13 UTC (History)
6 users (show)

Fixed In Version: samba-3.5.4-79.el6
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: 617771
: 661311 (view as bug list)
Environment:
Last Closed: 2011-05-19 13:14:21 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2011:0582 normal SHIPPED_LIVE samba bug fix and enhancement update 2011-05-19 09:37:35 UTC

Description Jeff Layton 2010-09-01 19:44:11 UTC
+++ This bug was initially created as a clone of Bug #617771 +++

Created attachment 434076 [details]
smbd -d10 -i output

I was doing some testing with the linux CIFS client (with unix extensions enabled) and noticed that the nfsidem test was failing. I've narrowed down the problem to this:

[root@rawhide TEST]# chmod 0611 BAR
[root@rawhide TEST]# stat BAR
  File: `BAR'
  Size: 23        	Blocks: 2048       IO Block: 16384  regular file
Device: 15h/21d	Inode: 221217      Links: 1
Access: (0611/-rw---x--x)  Uid: (50000/testuser)   Gid: (50000/testuser)
Access: 2010-07-23 17:34:37.000000000 -0400
Modify: 2010-07-23 17:34:37.000000000 -0400
Change: 2010-07-23 17:46:52.000000000 -0400
[root@rawhide TEST]# mv BAR FOO
[root@rawhide TEST]# stat FOO
  File: `FOO'
  Size: 23        	Blocks: 2048       IO Block: 16384  regular file
Device: 15h/21d	Inode: 221217      Links: 1
Access: (0711/-rwx--x--x)  Uid: (50000/testuser)   Gid: (50000/testuser)
Access: 2010-07-23 17:34:37.000000000 -0400
Modify: 2010-07-23 17:34:37.000000000 -0400
Change: 2010-07-23 17:47:06.000000000 -0400

...during the rename, samba is adding the u+x to the mode of the file. This change is not requested by the client. I'm running:

samba-3.4.8-59.fc12.x86_64

smbd -d10 debug log is attached from a different session than the one above, but with a similar reproducer.

--- Additional comment from jlayton@redhat.com on 2010-07-23 19:00:01 EDT ---

Created attachment 434082 [details]
my smb.conf

Here's the smb.conf for my server. I don't think there's any strange stuff wrt dos attrs.

Comment 1 Jeff Layton 2010-09-01 19:44:57 UTC
I'm seeing this same bug on RHEL6 too:

samba-3.5.4-68.el6.x86_64

...I can get captures/logs if it'll help.

Comment 8 errata-xmlrpc 2011-05-19 13:14:21 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2011-0582.html


Note You need to log in before you can comment on or make changes to this bug.